Subject: http://tools.ietf.org/html/draft-snell-additional-link-relations-05

From: Jan Algermissen <[email-masked]>
Date: Fri, 12 Oct 2012 18:40:22 +0200

Hi James,

some remarks on http://tools.ietf.org/html/draft-snell-additional-link-relations-05

Having said that - I think the draft is fine.

2.  "about"

Does it make sense to explain any intended and/or not intended similarity to rdf:about?

Can an RDF processor infer something when seeing links of this rel?

3. "preview"

Although I have an understanding of what a 'preview' is, it might be helpful to explain further
in the text what it means for one resource to be the preview of another. There seems to me to
be quite some implied semantics that could be useful to exaplaint.

When I, as a client, learn that B is preview of A, what does that imply to me?

- can I publish B to replace A?
- should I use B for editing because it contains the current 'latest' version of A?
- ... 

Ignoring that, what is the value of knowing that B is a preview of A?

Can you provide a use case? (I indeed found 'preview' very clear at first but then
it got me thinking what that would mean to me, as a client)

6. "type"

That has been said already:

s/type="type"/rel="type"/

Is this equivalent to rdf:type? Does it make sense to note that? See above.

Jan